List canon counterparty type rows
Módulo Canon
GET/canon/counterparty-typescanonCounterpartyTypes.list
A vendor counterparty type. Returns a cursor page of canon counterparty type rows the caller may see. The default order is `counterparty_type` ascending. Supports sparse fieldsets and the filter grammar.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
- Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| limit | Limit | No | Page size. Default 50, maximum 200.Restricciones: range 1 to 200 |
| cursor | Cursor | No | Opaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
| sort | Sort | No | Sort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$ |
| filter | Filter | No | Filter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND. |
Respuesta 200: una página de CanonCounterpartyType
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| counterparty_type | CounterpartyType | Sí | Counterparty type from `xpms.dim_counterparty_type`.Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$ |
| definition | string | Sí | Definition, in sentence case.Restricciones: length 1 to 20000 |
| classification_code | string | null | Sí | Classification code.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| vendor_class | string | null | Sí | Vendor class.Restricciones: length 1 to 100 |
| clearance_tier | string | null | Sí | Clearance tier.Restricciones: length 1 to 200 |
| default_account_code | GlAccountCode | null | Sí |
{
"data": [
{
"counterparty_type": "AV Integrator",
"definition": "Designs and installs audiovisual systems.",
"classification_code": "CP-AVINT",
"vendor_class": "Class B",
"clearance_tier": "Tier 2 - Technical Lead",
"default_account_code": "5400"
}
],
"next_cursor": null
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/counterparty-types" \
-H "Authorization: Bearer $XOS_API_KEY"for await (const row of xos.canonCounterpartyTypes.listAll()) {
console.log(row);
}for row in xos.canon_counterparty_types.list_all():
print(row)xos canon-counterparty-types list --all